## com.google.appengine.api.blobstore
Class UploadOptions.Builder

    java.lang.Object
      com.google.appengine.api.blobstore.UploadOptions.Builder

Enclosing class:
  UploadOptions

    public static final class UploadOptions.Builder

extends java.lang.Object

Contains static creation methods for `UploadOptions`.

Method Summary
`static UploadOptions` `withDefaults()` Returns default {#link UploadOptions} with default values.
`static UploadOptions` `withMaxUploadSizeBytes(long maxUploadSizeBytes)` Returns default {#link UploadOptions} and calls `UploadOptions.maxUploadSizeBytes(long)`.
`static UploadOptions` `withMaxUploadSizeBytesPerBlob(long maxUploadSizeBytesPerBlob)` Returns default {#link UploadOptions} and calls `maxUploadSizeBytesPerBlob#maxUploadSizeBytes(long)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withMaxUploadSizeBytes

    public static UploadOptions withMaxUploadSizeBytes(long maxUploadSizeBytes)

  Returns default {#link UploadOptions} and calls `UploadOptions.maxUploadSizeBytes(long)`.

### withMaxUploadSizeBytesPerBlob

    public static UploadOptions withMaxUploadSizeBytesPerBlob(long maxUploadSizeBytesPerBlob)

  Returns default {#link UploadOptions} and calls `maxUploadSizeBytesPerBlob#maxUploadSizeBytes(long)`.

### withDefaults

    public static UploadOptions withDefaults()

  Returns default {#link UploadOptions} with default values.